aboutsummaryrefslogtreecommitdiff
path: root/trusty-i386-tcwg-base
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2017-02-27 11:24:25 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2017-02-27 11:24:25 +0000
commitaaeb354c150e1fa13b5b37716285ef3ab84dbf93 (patch)
tree789849f9f1e9ed3aecfdb2d3c5957b386e6c44de /trusty-i386-tcwg-base
parentdbf4becdcb8b00283226b5050deea78bff428dfc (diff)
*-tcwg-base: Don't rely on "docker build --pull" to update parent images
... since "docker build --pull" will fail if current image is not present in the registry. Instead explicitly pull parent image with "docker pull", which makes for a nice simmetry with all other *-tcwg* images which explicitly re-generate parent images. Change-Id: I41e14f66d36e9f3a62eaead581fe5468c545814f
Diffstat (limited to 'trusty-i386-tcwg-base')
-rwxr-xr-xtrusty-i386-tcwg-base/build.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/trusty-i386-tcwg-base/build.sh b/trusty-i386-tcwg-base/build.sh
index 96da3aed..70cbb3f6 100755
--- a/trusty-i386-tcwg-base/build.sh
+++ b/trusty-i386-tcwg-base/build.sh
@@ -17,5 +17,6 @@ image=linaro/ci-${arch}-${name}-ubuntu:${distro}
rsync -a ../tcwg-buildslave/ ./tcwg-buildslave/
+docker pull linaro/base-i386-ubuntu:trusty 2>/dev/null || true
docker pull $image 2>/dev/null || true
-docker build --pull --tag=$image .
+docker build --tag=$image .